from pinecone import Pinecone
pc = Pinecone(api_key='YOUR_API_KEY')
index_list = pc.list_indexes()
print(index_list)
import { Pinecone } from '@pinecone-database/pinecone'
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
const indexList = await pc.listIndexes();
console.log(JSON.stringify(indexList, null, 2));
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class ListIndexesExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOUR_API_KEY").build();
IndexList indexList = pc.listIndexes();
System.out.println(indexList.toJson());
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v4/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idxs, err := pc.ListIndexes(ctx)
if err != nil {
log.Fatalf("Failed to list indexes: %v", err)
} else {
fmt.Printf("%s\n", prettifyStruct(idxs))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexList = await pinecone.ListIndexesAsync();
Console.WriteLine(indexList);
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/indexes" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-04"
# Target the project for which you want to list indexes.
pc target -o "example-org" -p "example-project"
# List all indexes in the project
pc index list
[
{
"name": "example-index",
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense",
"dimension": 1024,
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
},
{
"name": "example-index-2",
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense",
"dimension": 1024,
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
}
]
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vectorType": "dense",
"fieldMap": {
"text": "text"
},
"readParameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"writeParameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vectorType": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vectorType": "dense",
"fieldMap": {
"text": "text"
},
"readParameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"writeParameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vectorType": "dense"
}
]
}
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
]
}
[
{
"name": "example-index",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1024,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"embed": {
"model": "llama-text-embed-v2",
"dimension": 1024,
"metric": "cosine",
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
}
},
{
"name": "example-index-2",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1024,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"embed": {
"model": "llama-text-embed-v2",
"dimension": 1024,
"metric": "cosine",
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
}
}
]
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
]
}
{
"indexes": [
{
"name": "example-index",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1024,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
},
{
"name": "example-index-2",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1024,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
}
]
}
NAME STATUS HOST DIMENSION METRIC SPEC
example-index Ready example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io 1536 cosine serverless
example-index-2 Ready example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io 1024 cosine serverless
Indexes
List indexes
List all indexes in a project.
GET
/
indexes
from pinecone import Pinecone
pc = Pinecone(api_key='YOUR_API_KEY')
index_list = pc.list_indexes()
print(index_list)
import { Pinecone } from '@pinecone-database/pinecone'
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
const indexList = await pc.listIndexes();
console.log(JSON.stringify(indexList, null, 2));
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class ListIndexesExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOUR_API_KEY").build();
IndexList indexList = pc.listIndexes();
System.out.println(indexList.toJson());
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v4/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idxs, err := pc.ListIndexes(ctx)
if err != nil {
log.Fatalf("Failed to list indexes: %v", err)
} else {
fmt.Printf("%s\n", prettifyStruct(idxs))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexList = await pinecone.ListIndexesAsync();
Console.WriteLine(indexList);
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/indexes" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-04"
# Target the project for which you want to list indexes.
pc target -o "example-org" -p "example-project"
# List all indexes in the project
pc index list
[
{
"name": "example-index",
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense",
"dimension": 1024,
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
},
{
"name": "example-index-2",
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense",
"dimension": 1024,
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
}
]
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vectorType": "dense",
"fieldMap": {
"text": "text"
},
"readParameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"writeParameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vectorType": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vectorType": "dense",
"fieldMap": {
"text": "text"
},
"readParameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"writeParameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vectorType": "dense"
}
]
}
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
]
}
[
{
"name": "example-index",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1024,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"embed": {
"model": "llama-text-embed-v2",
"dimension": 1024,
"metric": "cosine",
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
}
},
{
"name": "example-index-2",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1024,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"embed": {
"model": "llama-text-embed-v2",
"dimension": 1024,
"metric": "cosine",
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
}
}
]
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
]
}
{
"indexes": [
{
"name": "example-index",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1024,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
},
{
"name": "example-index-2",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1024,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
}
]
}
NAME STATUS HOST DIMENSION METRIC SPEC
example-index Ready example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io 1536 cosine serverless
example-index-2 Ready example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io 1024 cosine serverless
from pinecone import Pinecone
pc = Pinecone(api_key='YOUR_API_KEY')
index_list = pc.list_indexes()
print(index_list)
import { Pinecone } from '@pinecone-database/pinecone'
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
const indexList = await pc.listIndexes();
console.log(JSON.stringify(indexList, null, 2));
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class ListIndexesExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOUR_API_KEY").build();
IndexList indexList = pc.listIndexes();
System.out.println(indexList.toJson());
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v4/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idxs, err := pc.ListIndexes(ctx)
if err != nil {
log.Fatalf("Failed to list indexes: %v", err)
} else {
fmt.Printf("%s\n", prettifyStruct(idxs))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexList = await pinecone.ListIndexesAsync();
Console.WriteLine(indexList);
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/indexes" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-04"
# Target the project for which you want to list indexes.
pc target -o "example-org" -p "example-project"
# List all indexes in the project
pc index list
[
{
"name": "example-index",
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense",
"dimension": 1024,
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
},
{
"name": "example-index-2",
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense",
"dimension": 1024,
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
}
]
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vectorType": "dense",
"fieldMap": {
"text": "text"
},
"readParameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"writeParameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vectorType": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vectorType": "dense",
"fieldMap": {
"text": "text"
},
"readParameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"writeParameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vectorType": "dense"
}
]
}
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024.0,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024.0,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
]
}
[
{
"name": "example-index",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1024,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"embed": {
"model": "llama-text-embed-v2",
"dimension": 1024,
"metric": "cosine",
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
}
},
{
"name": "example-index-2",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1024,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"embed": {
"model": "llama-text-embed-v2",
"dimension": 1024,
"metric": "cosine",
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
}
}
]
{
"indexes": [
{
"name": "example-index",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
},
{
"name": "example-index-2",
"dimension": 1024,
"metric": "cosine",
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"embed": {
"model": "llama-text-embed-v2",
"metric": "cosine",
"dimension": 1024,
"vector_type": "dense",
"field_map": {
"text": "text"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
}
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
]
}
{
"indexes": [
{
"name": "example-index",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1024,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
},
{
"name": "example-index-2",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1024,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": null,
"embed": {
"model": "llama-text-embed-v2",
"field_map": {
"text": "text"
},
"dimension": 1024,
"metric": "cosine",
"write_parameters": {
"dimension": 1024,
"input_type": "passage",
"truncate": "END"
},
"read_parameters": {
"dimension": 1024,
"input_type": "query",
"truncate": "END"
},
"vector_type": "dense"
}
}
]
}
NAME STATUS HOST DIMENSION METRIC SPEC
example-index Ready example-index-fa77d8e.svc.aped-4627-b74a.pinecone.io 1536 cosine serverless
example-index-2 Ready example-index-2-ea1c34b.svc.aped-4627-b74a.pinecone.io 1024 cosine serverless
Authorizations
Response
This operation returns a list of all the indexes that you have previously created, and which are associated with the given project
The list of indexes that exist in the project.
Show child attributes
Show child attributes
Was this page helpful?
⌘I